package com.ruoyi.system.domain.video.ext;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DeviceTreeRoot {

    private String name = "根节点";

    //非叶节点
    private List<DeviceTreeNode> children = new ArrayList<DeviceTreeNode>();

    public static DeviceTreeRoot init(){
        DeviceTreeRoot root = new DeviceTreeRoot();
        DeviceTreeNode res1 = new DeviceTreeNode();
        DeviceTreeNode res2 = new DeviceTreeNode();

        root.getChildren().add(res1);
        root.getChildren().add(res2);
        res1.setName("卓易机房EVS");
        res2.setName("东来国际NVR");

        return root;
    }

}
